package com.gree.mall.contest.bean.goods;

import com.gree.mall.contest.plus.entity.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class GoodsBean extends Goods {

    @Schema(description = "商品规格")
    private List<GoodsSpecSecBean> goodsSpecs;

    @Schema(description = "轮播图")
    private List<CommonFile> images;

    private String category1;
    private String category2;
    private String mainName;
    private String smallName;
    private Boolean isVr;

    @Schema(description = "商品库存")
    private Integer stock;
    @Schema(description = "商品说明模板id")
    private String templateId;
    @Schema(description = "属性标签")
    private List<String> tags;

    @Schema(description = "标签")
    private List<String> tagsLabel;

    @Schema(description = "套购配置的比例商品")
    private List<GoodsPackagePop> goodsPackagePops;
    @Schema(description = "套购配置的指定用户-新增/编辑用")
    private List<GoodsPackageUserRela> goodsPackageUserRelas;

    @Schema(description = "套购商品配置的用户列表-详情用")
    private List<User> users;

    @Schema(description = "佣金")
    private BigDecimal shareAmount;

    @Schema(description = "团长id")
    private String groupUserId;

    @Schema(description = "团长昵称")
    private String groupUserName;

    @Schema(description = "团长头像")
    private String groupPic;

    @Schema(description = "团购活动id")
    private String promotionGroupId;

    @Schema(description = "是否收藏标记")
    private Boolean favorite;

    @Schema(description = "商品模板")
    private CommonTemplate commonTemplate;

    @Schema(description = "公共商品模板")
    private PubTemplate pubCommonTemplate;
}
