package com.gree.mall.contest.bean.manage;


import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.IsEnum;
import com.gree.mall.contest.enums.manage.PopJumpTypeEnum;
import com.gree.mall.contest.enums.manage.PopStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@Data
@ZfireField(tbName = "a")
public class UserTopPopVO {

    @ZfireField(hide = true)
    @Schema(description = "id")
    private String id;

    @Schema(description = "主标题")
    private String title;

    @Schema(description = "副标题")
    private String detailTitle;

    @Schema(description = "跳转链接")
    private PopJumpTypeEnum jumpType;

    @ZfireField(hide = true)
    @Schema(description = "内容1 内部页面 详情页面 外部H5 外部小程序")
    private String content1;

    @ZfireField(hide = true)
    @Schema(description = "内容2 外部小程序")
    private String content2;

    @Schema(description = "发送对象")
    private String sendObj;

    @ZfireField(hide = true)
    @Schema(description = "发送范围 ALL=全部 APPOINT=部分")
    private String sendRange;

    @ZfireField(type = "date")
    @Schema(description = "开始日期")
    private Date startDate;

    @ZfireField(type = "date")
    @Schema(description = "结束日期")
    private Date endDate;

    @Schema(description = "是否已发布")
    private IsEnum isSend;

    @Schema(description = "状态")
    private PopStatusEnum status;

    @Schema(description = "创建人")
    private String createBy;

    @Schema(description = "创建时间")
    private Date createTime;

    @ZfireField(hide = true)
    @Schema(description = "修改人")
    private String updateBy;

    @ZfireField(hide = true)
    @Schema(description = "修改时间")
    private Date updateTime;

    @Schema(description = "发布人")
    private String sendBy;

    @ZfireField(hide = true)
    @Schema(description = "发布人id")
    private String sendById;

    @Schema(description = "发布时间")
    private Date sendTime;
}
