package com.gree.mall.contest.bean.merchant;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.merchant.MerchantStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class MerchantRegionVO {

    @ZfireField(hide = true)
    @Schema(description = "id")
    private String id;
    @Schema(description = "商家编号")
    private String number;
    @Schema(description = "商家名称")
    private String name;
    @Schema(description = "负责人")
    private String chargeName;
    @Schema(description = "负责人电话")
    private String chargeMobile;
    @ZfireField(tbName = "b")
    @Schema(description = "主营分类")
    private String serviceCategoryName;

    @Schema(description = "状态")
    private MerchantStatusEnum status;

    @ZfireField(tbName = "b")
    @Schema(description = "省份")
    private String province;
    @ZfireField(tbName = "b")
    @Schema(description = "城市")
    private String city;
    @ZfireField(tbName = "b")
    @Schema(description = "区县")
    private String area;
    @Schema(description = "创建人")
    private String createBy;
    @Schema(description = "创建时间")
    private Date createTime;
    @Schema(description = "修改人")
    private String updateBy;
    @Schema(description = "修改时间")
    private String updateTime;

    @ZfireField(hide = true, tbName = "b")
    @Schema(description = "城市id")
    private String cityId;
}
