package com.gree.mall.contest.bean.merchant;

import com.gree.mall.contest.annotation.ZfireField;
import com.gree.mall.contest.enums.IsEnum;
import com.gree.mall.contest.enums.merchant.MerchantStatusEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@ZfireField(tbName = "a")
@Data
public class MerchantVO {

    @Schema(description = "服务商编号")
    private String id;
    @Schema(description = "服务商名称")
    private String name;
    @Schema(description = "状态")
    private MerchantStatusEnum status;
    @Schema(description = "负责人")
    private String chargeName;
    @Schema(description = "负责人电话")
    private String chargeMobile;
    @Schema(description = "办公电话")
    private String officeMobile;
    @Schema(description = "税号")
    private String taxNo;
    @Schema(description = "是否独立法人")
    private IsEnum isLegal;
    @Schema(description = "法人代表")
    private String legalName;
    @Schema(description = "法人身份证")
    private String legalIdcard;
    @Schema(description = "法人手机号")
    private String legalMobile;
    @Schema(description = "所在省份")
    private String province;
    @Schema(description = "所在市")
    private String city;
    @Schema(description = "区县")
    private String area;
    @Schema(description = "街道")
    private String street;
    @Schema(description = "地址")
    private String address;
    @Schema(description = "营业时间开始")
    private String startTime;
    @Schema(description = "营业时间结束")
    private String endTime;

    @ZfireField(ignoreSelect = true,isQuery = false)
    @Schema(description = "保证金")
    private BigDecimal marginAmount;
    @ZfireField(ignoreSelect = true,isQuery = false)
    @Schema(description = "保证金缴纳日期")
    private Date marginTime;


    @Schema(description = "开户银行")
    private String bank;
    @Schema(description = "开户行号")
    private String bankNo;
    @Schema(description = "银行账号")
    private String bankAccount;
    @Schema(description = "经营类目")
    private String serviceCategoryName;
    @Schema(description = "创建人")
    private String createBy;
    @Schema(description = "创建时间")
    private Date createTime;
    @Schema(description = "修改人")
    private String updateBy;
    @Schema(description = "修改时间")
    private Date updateTime;
}
