package com.gree.mall.contest.bean.order;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.gree.mall.contest.plus.entity.Goods;
import com.gree.mall.contest.plus.entity.GoodsSpec;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BuyGood {

    @Schema(description = "商品id")
    private String goodsId;
    @Schema(description = "商品规格id")
    private String GoodsSpecId;
    @Schema(description = "购买数量")
    private Integer num;
    @Schema(description = "套购商品-框几")
    private Integer popType;
    @Schema(description = "购物车id(购物车提交订单才传)")
    private String shoppingCartId;
    @Schema(description = "团购活动id")
    private String promotionGroupId;
    @Schema(description = "秒杀活动id")
    private String secKillId;
    @Schema(description = "wxSceneId")
    private String wxSceneId;

    @JsonIgnore
    private Goods goods;
    @JsonIgnore
    private GoodsSpec goodsSpec;
    @JsonIgnore
    @Schema(description = "单价")
    private BigDecimal price;
    @JsonIgnore
    @Schema(description = "单个商品佣金")
    private BigDecimal shareAmount;
    //套购商品
    @JsonIgnore
    private Boolean isGoodsPackage = false;
    //秒杀商品
    @JsonIgnore
    private Boolean isSecKill = false;
    //团购商品
    @JsonIgnore
    private Boolean isPromotionGroup = false;
    //原价
    @JsonIgnore
    private BigDecimal orgPrice;
    //活动的商品图
    @JsonIgnore
    private String promotionImgUrl;


}
