package com.gree.mall.contest.bean.order;

import com.gree.mall.contest.plus.entity.OrderComment;
import com.gree.mall.contest.plus.entity.OrderDetail;
import com.gree.mall.contest.plus.entity.OrderInfo;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@EqualsAndHashCode(callSuper = true)
@Data
public class OrderDetailBean extends OrderInfo {

    @Schema(description = "订单详情")
    private List<OrderDetail> orderDetails;
    @Schema(description = "卖家备注")
    private String merchantRemark;
    @Schema(description = "是否部分退款")
    private String refund;
    @Schema(description = "退款总金额")
    private BigDecimal refundTotal;
    @Schema(description = "是否可退款")
    private Boolean refundAble;
    @Schema(description = "派单成功(true=是 false=否)")
    private Boolean toWorkOrder = false;
    @Schema(description = "订单评价")
    private OrderComment orderComment;
    @Schema(description = "订单评价标签")
    private List<String> orderCommentTags;
    @Schema(description = "订单评价图片")
    private List<String> orderCommentImgs;
    @Schema(description = "团长名称")
    private String promotionGroupUserName;
    @Schema(description = "团长手机号")
    private String promotionGroupMobile;

    @Schema(description = "小程序订单详情")
    private List<OrderDetailGoodsBean> orderDetailList;
    @Schema(description = "结算状态")
    private String orderShareStatus;
}
